<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
    <f:if condition="{languagenavigation}">
        <f:for each="{languagenavigation}" as="language">
            <f:switch expression="{language.languageId}">
                <f:case value="1">
                    <f:comment>English</f:comment>
                    <f:variable name="languageTitle"><f:translate key="language.english" extensionName="uulmhack_web" /></f:variable>
                </f:case>
                <f:defaultCase>
                    <f:comment>Default: German</f:comment>
                    <f:variable name="languageTitle"><f:translate key="language.german" extensionName="uulmhack_web" /></f:variable>
                </f:defaultCase>
            </f:switch>
            <f:if condition="{language.available}">
                <f:then>
                    <a href="{language.link}"
                       hreflang="{language.hreflang}"
                       title="{languageTitle}"
                       class="{f:if(condition: language.active, then: 'active')}">
                        <span>{languageTitle}</span>
                    </a>
                </f:then>
                <f:else>
                    <span>{languageTitle}</span>
                </f:else>
            </f:if>
        </f:for>
    </f:if>
</html>
